=== Alter Media – Image Alt Tag and Caption Detector ===
Contributors: atakanoz, matterwporg, matterwpeng
Donate link:
Tags: media library, alt text, image caption, accessibility, media management
Requires at least: 4.7
Tested up to: 6.7
Stable tag: 1.0.1
Requires PHP: 7.3.5
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Enhance your WordPress media library with powerful filtering and management tools for image alt text and captions.

== Description ==

Alter is a lightweight yet powerful WordPress plugin that transforms how you manage image attributes in your media library. Whether you're an accessibility-conscious developer or a content manager looking to maintain high-quality image metadata, Alter provides the tools you need to efficiently manage alt text and captions across your media library.

**⚡️ Powerful Filtering**

- Filter images with or without alt text
- Filter images with or without captions
- Quick visual indicators for attribute status
- Instant filtering without page reload

**🎨 Enhanced Media Library**

- New columns for alt text and caption status
- Visual indicators for present/missing attributes
- Tooltip preview of existing alt text and captions
- Clean, intuitive interface integration

**🛡️ Built for Professionals**

- Lightweight implementation
- No external dependencies
- Compatible with the latest WordPress versions
- Perfect for:
  - Content managers
  - Accessibility compliance
  - SEO optimization
  - Media library organization

**🔒 Performance & Security**

- Built following WordPress security best practices
- Properly escaped and sanitized output
- Minimal server resource usage
- Clean, validated code output

Get started in minutes and take control of your media library's accessibility and organization. Alter is the perfect solution for developers, content managers, and site owners who prioritize proper image attribution and accessibility compliance.

== Frequently Asked Questions ==

= How do I use the image filters? =

You can filter images in two ways:

1. Use the dropdown filter at the top of the media library
2. Click the column headers for alt text or caption status

= What do the status indicators mean? =

The plugin uses two types of indicators:

- Green checkmark (✓) - Attribute is present
- Orange warning (⚠) - Attribute is missing

= Does this plugin modify my existing images? =

No, Alter is a management tool only. It helps you identify and filter images based on their attributes but doesn't modify any existing media files or their metadata.

= Is the plugin compatible with other media library plugins? =

Yes, Alter is designed to work alongside other media library plugins as it focuses specifically on alt text and caption management features.

== Changelog ==

= 1.0.0 =

- Initial release
- Added alt text and caption status columns
- Implemented filtering system
- Added visual indicators for attribute status

= 1.0.1 =

- Composer package updated
